import { OmekaConfig } from "./config.js";
import { DataType, OmekaTemplates, Template } from "./template.js";
import { Item, Payload, Thing } from "./thing.js";
export type Property = {
    "@id": string;
    "o:id": number;
    "o:local_name"?: string;
    "o:label": string;
    "o:comment": string;
    "o:term": string;
    dataTypes?: DataType[];
};
export declare class Factory<T extends Thing> {
    readonly template: Template;
    readonly config: OmekaConfig;
    constructor(template: Template, config: OmekaConfig);
    get_all(templates: OmekaTemplates, deep?: boolean): Promise<Item<T>[]>;
    fill_item(json: Thing, deep: boolean, templates: OmekaTemplates, item: Item<T>): Promise<void>;
    create(item: T, item_set?: number): Promise<Item<T>>;
    transformItem(item: T, item_set?: number): Payload;
}
