import { Quad } from "@rdfjs/types";
import { Factory } from "./factory.js";
export type Payload = string;
export type Thing = {
    [label: string]: any;
};
export declare class Item<T extends Thing> {
    id: string;
    idx: number;
    item_set?: number;
    factory: Factory<T>;
    thing: Thing;
    item: T;
    lastState: string;
    cache: {};
    constructor(id: string, idx: number, factory: Factory<T>, item: T, thing: Thing, item_set?: number);
    getQuads(deep?: boolean, reverse?: boolean, done?: Set<number>): Promise<Quad[]>;
    save(): Promise<void>;
}
